Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZForum Class Reference

## Public Member Functions
| __construct ( $id="")
| store ()
| delete ()
| removeFromForums ()
| get ( $id="")
| getAll ()
& | messages ()
& | search ( $queryText, $offset, $limit, &$SearchTotalCount, $params=array())
& | getQueryCount ( $queryString)
& | messageTree ( $offset=0, $limit=30, $showUnApproved=false)
| messageTreeArray ( $offset=0, $limit=30, $showUnApproved=false, $showReplies=true)
| messageThreadTree ( $threadID, $showUnApprived=false, $offset=0, $limit=100)
| id ()
| categories ( $as_object=true)
& | name ( $html=true)
| setName ( $newName)
& | description ()
| setDescription ( $newDescription)
| isModerated ()
| isAnonymous ()
& | moderator ()
& | group ()
| setIsModerated ( $value)
| setIsAnonymous ( $value)
| setModerator ( $group)
| setGroup ( $group)
| isPrivate ()
| setPrivate ( $newPrivate)
| threadCount ( $countUnapproved=false)
| messageCount ( $countUnapproved=false, $showReplies=false)

## Public Attributes
| $ID
| $Name
| $Description
| $IsModerated
| $IsAnonymous
| $IsPrivate
| $ModeratorID
| $GroupID

## Detailed Description

! eZForum The eZForum class handles forum''s in the database.

See also
  eZForumMessage \eZForumCategory

TODO

Definition at line 43 of file ezforum.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZForum::__construct | ( |  | $id = `""` | ) |

Constructs a new eZForum object.

Definition at line 48 of file ezforum.php.

References $id, and $ID.

## Member Function Documentation

## ◆ categories()

eZForum::categories | ( |  | $as_object = `true` | ) |

Returns every category which the forum is a part of.

Definition at line 471 of file ezforum.php.

References $db, $forum, $ret, and eZDB\globalDatabase().

## ◆ delete()

eZForum::delete | ( |  | ) |

Deletes a eZForumCategory object from the database.

Definition at line 126 of file ezforum.php.

References $db, and eZDB\globalDatabase().

## ◆ description()

& eZForum::description | ( |  | ) |

Definition at line 526 of file ezforum.php.

## ◆ get()

eZForum::get | ( |  | $id = `""` | ) |

Fetches the object information from the database.

Definition at line 156 of file ezforum.php.

References $category_array, $db, $id, $ret, eZDB\globalDatabase(), and Name.

## ◆ getAll()

eZForum::getAll | ( |  | ) |

Returns every forum.

Definition at line 194 of file ezforum.php.

## ◆ getQueryCount()

& eZForum::getQueryCount | ( |  | $queryString | ) |

Returns the total count of a query.

Definition at line 331 of file ezforum.php.

References $db, $query, $ret, and eZDB\globalDatabase().

## ◆ group()

& eZForum::group | ( |  | ) |

Returns the forum moderator as a eZUser object.

Definition at line 583 of file ezforum.php.

References $group.

## ◆ id()

eZForum::id | ( |  | ) |

Returns the object id.

Definition at line 463 of file ezforum.php.

References $ID.

## ◆ isAnonymous()

eZForum::isAnonymous | ( |  | ) |

Returns true if the forum allows anonymous posting.

Definition at line 555 of file ezforum.php.

References $ret.

## ◆ isModerated()

eZForum::isModerated | ( |  | ) |

Returns true if the forum is moderated, false if not.

Definition at line 543 of file ezforum.php.

References $ret.

## ◆ isPrivate()

eZForum::isPrivate | ( |  | ) |

Definition at line 655 of file ezforum.php.

References $IsPrivate.

## ◆ messageCount()

eZForum::messageCount | ( |  | $countUnapproved = `false`,
|  |  | $showReplies = `false`
| ) |  |

Returns the number of messages in the forum.

Definition at line 693 of file ezforum.php.

References $db, $ret, and eZDB\globalDatabase().

## ◆ messages()

& eZForum::messages | ( |  | ) |

Returns the messages in a forum.

Definition at line 202 of file ezforum.php.

References $db, $message, $ret, and eZDB\globalDatabase().

## ◆ messageThreadTree()

eZForum::messageThreadTree | ( |  | $threadID,
|  |  | $showUnApprived = `false`,
|  |  | $offset = `0`,
|  |  | $limit = `100`
| ) |  |

Returns all the messages and submessages of a thread as a tree.

Default limit is set to 100

Definition at line 432 of file ezforum.php.

References $db, $limit, $message, $offset, $ret, and eZDB\globalDatabase().

## ◆ messageTree()

& eZForum::messageTree | ( |  | $offset = `0`,
|  |  | $limit = `30`,
|  |  | $showUnApproved = `false`
| ) |  |

Returns all the messages and submessages as a tree as an array.

Default limit is set to 30.

Definition at line 357 of file ezforum.php.

References $db, $limit, $message, $offset, $ret, and eZDB\globalDatabase().

## ◆ messageTreeArray()

eZForum::messageTreeArray | ( |  | $offset = `0`,
|  |  | $limit = `30`,
|  |  | $showUnApproved = `false`,
|  |  | $showReplies = `true`
| ) |  |

Returns all the messages and submessages as a tree as an array.

Default limit is set to 30.

Definition at line 389 of file ezforum.php.

References $db, $limit, $offset, and eZDB\globalDatabase().

## ◆ moderator()

& eZForum::moderator | ( |  | ) |

Returns the forum moderator as a eZUser object.

Definition at line 567 of file ezforum.php.

References $group.

## ◆ name()

& eZForum::name | ( |  | $html = `true` | ) |

Returns the name of the forum.

Definition at line 496 of file ezforum.php.

References Name.

## ◆ removeFromForums()

eZForum::removeFromForums | ( |  | ) |

Removes all assignments from forum to categories.

Definition at line 145 of file ezforum.php.

References $db, and eZDB\globalDatabase().

## ◆ search()

& eZForum::search | ( |  | $queryText,
|  |  | $offset,
|  |  | $limit,
|  | & | $SearchTotalCount,
|  |  | $params = `array()`
| ) |  |

Returns the messages in every forum matching the query string.

Definition at line 224 of file ezforum.php.

References $count, $db, $groups, $i, $limit, $offset, $query, $user, eZUser\currentUser(), and eZDB\globalDatabase().

## ◆ setDescription()

eZForum::setDescription | ( |  | $newDescription | ) |

Definition at line 535 of file ezforum.php.

## ◆ setGroup()

eZForum::setGroup | ( |  | $group | ) |

Sets the forum readers.

Definition at line 639 of file ezforum.php.

References $group.

## ◆ setIsAnonymous()

eZForum::setIsAnonymous | ( |  | $value | ) |

Sets the forum to allow anonymous posting, or not.

Definition at line 613 of file ezforum.php.

## ◆ setIsModerated()

eZForum::setIsModerated | ( |  | $value | ) |

Sets the forum to be moderated or not.

Definition at line 598 of file ezforum.php.

## ◆ setModerator()

eZForum::setModerator | ( |  | $group | ) |

Sets the forum moderator.

Definition at line 624 of file ezforum.php.

References $group.

## ◆ setName()

eZForum::setName | ( |  | $newName | ) |

Definition at line 518 of file ezforum.php.

References Name.

## ◆ setPrivate()

eZForum::setPrivate | ( |  | $newPrivate | ) |

Definition at line 663 of file ezforum.php.

## ◆ store()

eZForum::store | ( |  | ) |

Stores a eZForum object to the database.

Definition at line 66 of file ezforum.php.

References $db, $name, $res, eZDB\globalDatabase(), and Name.

## ◆ threadCount()

eZForum::threadCount | ( |  | $countUnapproved = `false` | ) |

Returns the number of threads in the forum.

Definition at line 671 of file ezforum.php.

References $db, $ret, and eZDB\globalDatabase().

## Member Data Documentation

## ◆ $Description

eZForum::$Description

Definition at line 725 of file ezforum.php.

## ◆ $GroupID

eZForum::$GroupID

Definition at line 730 of file ezforum.php.

## ◆ $ID

eZForum::$ID

Definition at line 723 of file ezforum.php.

Referenced by __construct(), and id().

## ◆ $IsAnonymous

eZForum::$IsAnonymous

Definition at line 727 of file ezforum.php.

## ◆ $IsModerated

eZForum::$IsModerated

Definition at line 726 of file ezforum.php.

## ◆ $IsPrivate

eZForum::$IsPrivate

Definition at line 728 of file ezforum.php.

Referenced by isPrivate().

## ◆ $ModeratorID

eZForum::$ModeratorID

Definition at line 729 of file ezforum.php.

## ◆ $Name

eZForum::$Name

Definition at line 724 of file ezforum.php.

The documentation for this class was generated from the following file:

- ezforum.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.